﻿<UserControl x:Class="TheTrader.WPF.Controls.NavigationBar"
             xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:converters="clr-namespace:TheTrader.WPF.Converters"
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
             xmlns:navigators="clr-namespace:TheTrader.WPF.State.Navigators"
             xmlns:viewModels="clr-namespace:TheTrader.WPF.ViewModels"
             d:DesignHeight="450" d:DesignWidth="800"
             d:DataContext="{d:DesignInstance navigators:INavigator}"
             mc:Ignorable="d">
    <UserControl.Resources>
        <converters:EqualValueToParameterConverter x:Key="EqualValueToParameterConverter" />
    </UserControl.Resources>
    <Grid>
        <Grid.RowDefinitions>
            <RowDefinition Height="Auto" />
            <RowDefinition Height="Auto" />
        </Grid.RowDefinitions>

        <TextBlock Grid.Row="0" Padding="10"
                   Background="{StaticResource BrushPrimary}"
                   FontSize="28" Foreground="White"
                   Text="The Trader" />
        <Grid Grid.Row="1" Background="{StaticResource BrushPrimaryDark}" RenderOptions.EdgeMode="Aliased">
            <Grid.Resources>
                <Style BasedOn="{StaticResource NavButton}" TargetType="{x:Type RadioButton}" />
            </Grid.Resources>

            <Grid.ColumnDefinitions>
                <ColumnDefinition Width="Auto" />
                <ColumnDefinition Width="Auto" />
                <ColumnDefinition Width="Auto" />
                <ColumnDefinition Width="Auto" />
                <ColumnDefinition Width="*" />
            </Grid.ColumnDefinitions>

            <RadioButton Grid.Column="0"
                         Command="{Binding UpdateCurrentViewModelCommand}"
                         CommandParameter="{x:Static navigators:ViewType.Home}"
                         Content="Home"
                         IsChecked="{Binding CurrentViewModel, Mode=OneWay, Converter={StaticResource EqualValueToParameterConverter}, ConverterParameter={x:Type viewModels:HomeViewModel}}" />
            <RadioButton Grid.Column="1"
                         Command="{Binding UpdateCurrentViewModelCommand}"
                         CommandParameter="{x:Static navigators:ViewType.Portfolio}"
                         Content="Portfolio"
                         IsChecked="{Binding CurrentViewModel, Mode=OneWay, Converter={StaticResource EqualValueToParameterConverter}, ConverterParameter={x:Type viewModels:PortfolioViewModel}}" />
            <RadioButton Grid.Column="2"
                         Command="{Binding UpdateCurrentViewModelCommand}"
                         CommandParameter="{x:Static navigators:ViewType.Buy}"
                         Content="Buy"
                         IsChecked="{Binding CurrentViewModel, Mode=OneWay, Converter={StaticResource EqualValueToParameterConverter}, ConverterParameter={x:Type viewModels:BuyViewModel}}" />
            <RadioButton Grid.Column="3" Content="Sell" />
        </Grid>
    </Grid>
</UserControl>